<?php

declare(strict_types=1);

namespace App\Enum\Organization;

use App\Enum\EnumMethodsTrait;

/**
 * Types principaux d'une organisation.
 */
enum PrincipalTypeEnum: string
{
    use EnumMethodsTrait;

    case NATIONAL_FEDERATION = 'NATIONAL_FEDERATION';
    case REGIONAL_FEDERATION = 'REGIONAL_FEDERATION';
    case DEPARTEMENTAL_FEDERATION = 'DEPARTEMENTAL_FEDERATION';
    case LOCAL_FEDERATION = 'LOCAL_FEDERATION';
    case GROUPMENT = 'GROUPMENT';
    case DELEGATION = 'DELEGATION';
    case ARTISTIC_EDUCATION_ONLY = 'ARTISTIC_EDUCATION_ONLY';
    case ARTISTIC_PRACTICE_ONLY = 'ARTISTIC_PRACTICE_ONLY';
    case MUSIC_OPENTALENT = 'MUSIC_OPENTALENT';
    case ARTISTIC_PRACTICE_EDUCATION = 'ARTISTIC_PRACTICE_EDUCATION';
}
